PostgreSQL 7.1.3 Documentation
Prev |  | Next

# createlang

## Name

createlang -- Add a new programming language to a Postgres database

## Synopsis

createlang [`connection-options`...] [`langname`] `dbname`
createlang [`connection-options`...] --list | -l `dbname`

### Inputs

createlang accepts the following command line arguments:

`langname`

  Specifies the name of the backend programming language to be defined. createlang will prompt for `langname` if it is not specified on the command line.

-d, --dbname `dbname`

  Specifies which database the language should be added.

-l, --list

  Shows a list of already installed languages in the target database (which must be specified).

createlang also accepts the following command line arguments for connection parameters:

-h, --host `host`

  Specifies the hostname of the machine on which the postmaster is running. If host begins with a slash, it is used as the directory for the unix domain socket.

-p, --port `port`

  Specifies the Internet TCP/IP port or local Unix domain socket file extension on which the postmaster is listening for connections.

-U, --username `username`

  Username to connect as.

-W, --password

  Force password prompt.

### Outputs

Most error messages are self-explanatory. If not, run createlang with the `--echo` option and see under the respective SQL command for details. Check also under psql for more possibilities.

## Description

createlang is a utility for adding a new programming language to a Postgres database. createlang currently accepts several languages, `plpgsql, pltcl, pltclu,` and `plperl`.

Although backend programming languages can be added directly using several SQL commands, it is recommended to use createlang because it performs a number of checks and is much easier to use. See CREATE LANGUAGE for more.

## Notes

Use droplang to remove a language.

## Usage

To install `pltcl` into the database `template1`:

    $ createlang pltcl template1

Prev | Home | Next
PostgreSQL Server Applications | Up | droplang